<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>FibreConstructor Member List</h1>This is the complete list of members for <a class="el" href="classFibreConstructor.html">FibreConstructor</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ad2eba079e6320464a7d389bffeb9830f">applyVolumeCounter</a>(G4String &amp;physical_volume_name)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#af028c58e48ea76a8fddd9bc8058d6f7e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aab7e063eb1a1ba9d49ff8959b5c1f10e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa24b8f11f747a8a26735c86402e39c07">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#adf4df5d3496d8ffef5c2bf5cc007e9b8">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a88f283f5b3cba7fd9cb21e5fe233412d">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ac1eb2bf3b1ed9cb6ccba8bde4003e8f6">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a51956ab50850350496bc0c7df95fc119">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ad5906b05f07ebd4eaa702e7efb8f36e2">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a5b0440aa696bf7e17860e5c28a667211">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a70183a81f6d63ccf7ec5bc190c01ceb9">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aee8a0bddb889440d991526ee4112ee40">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ae41db1b53cb6596c696b4573b85e479b">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a21fd34c2ee5f23af000c7602068874a1">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a2c0d273d36d999623bc5f1d12695496e">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a1e71cbc69dbaf8ea36b813bc37d34aa8">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a10a94f8fbc416aea9377750cd399b106">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a4f368fc57a9990295680d68121ed9ee2">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a58a5f4ff77815e730ff1643c995679de">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa7b26bed11f65d64ab3f7f5e4cae2ee0">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a5e614d1638059d009a7ad444f0527860">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa99f8933486b4ed35ac4401731a94277">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ade4815ca3b633607f214f3530c2175c2">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a6172637776f0f8505ec62969d6b8d192">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a8730804ec4b1511c2ba63fb9129f5eb7">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a88277d920e7a55535d2d43532078044c">ConstructFibre</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ae44be6a1c6b3dba22d5d67f239681c12">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a120a8ab8e932916a039a981fd35b0e24">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#acdc786aabb5406018bc997e9bfc4c3b1">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a434d61fd020ff6c114ad9d7d713088c2">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aee5ca7f441d056a75f7dc93d074c1db3">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a866f406edb31381abc414020450e14c0">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double bending_start_angle, G4double bending_end_angle, G4ThreeVector bending_circular_centre, G4ThreeVector bending_axis, G4double bending_radius, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a0c3ea7417963e73a395fcfe1987c496e">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#adbe92a2d362fb30fe193b9133dba994a">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a908d83cbf2762c2fd0ab9e992c58c0d3">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#adb252cb580eb35f93461ef38d20e5dc0">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#afa6475fc8551af4624d015fb34e99a30">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a5a4573ef3d8ebcd7f4025caee94d2a74">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4double bending_delta_angle, G4ThreeVector bending_axis, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a2d184713540de3e7792dcb100da7bad4">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a0cca5de9a4bffd3898ccf42c99fe43d9">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a8fbbeea2a91c6f8ef7b32b7eb5573bbd">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a86fdfe71bc9933b58a6f3257bebf5cfb">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ae7d0aa0087374b126485b079fe2f69d7">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a9bc32a1a9f5eb4d82c163f56ab9588d7">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a58efc28a1bbfa621a87bac9d98817e87">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4double length, G4int number_of_replications, G4Transform3D replication_transf, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a607bb53b116dd0fd0d7b6f1e6a3b330c">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a4e0c61332c16104ade4514e7a76a0b52">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#aa54e015d8047373875922e321923c7a8">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a7e97f77a5c1c8da82aa96ca07542940c">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a45a2260db4687662d26521e961ff6af0">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a8ab9d0c27492eb9910b789acf06730b9">ConstructFibres</a>(G4String fibre_property_file, G4VPhysicalVolume *mother_volume, G4ThreeVector startPoint_relative_to_reference, G4ThreeVector endPoint_relative_to_reference, G4int number_of_replications, G4Transform3D replication_transf, G4VPhysicalVolume *reference_volume, G4String fibre_name_prefix, G4bool startPoint_reflective, G4double startPoint_reflectivity, G4bool endPoint_roughened, G4double endPoint_sigmaAlpha, G4bool constructSensitiveDetector)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a26e5db1157cc60dd259313f19e230dae">FibreConstructor</a>(G4VModularPhysicsList *userPhysicsList, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4bool searchOverlaps, int verbose=0)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a1aba530b3847229c3442ab4654a66ecc">SetDefaults</a>()</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a837cafebbc5129e656a5e77390d6d7b6">SetFibreEndPointRoughened</a>(G4double endPoint_sigmaAlpha)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a3f5a613cb568839d8e952717e58554bf">SetFibreNamePrefix</a>(G4String fibre_name_prefix)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a50622de25c9a90bc73e3a2eb6c18908e">SetFibreReferenceVolume</a>(G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a57152de0cc5f536629757b7a4462bccf">SetFibreStartPointReflective</a>(G4double startPoint_reflectivity)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#ac48595e51afe39e839213789621ae063">SetFibreTransformationRelativeToReferenceVolume</a>(G4Transform3D transf_relative_to_reference)</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classFibreConstructor.html#a46b2216689484ec03540a322a35f5861">~FibreConstructor</a>()</td><td><a class="el" href="classFibreConstructor.html">FibreConstructor</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 13 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
